Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.wsconsent.builders.impl
Class AuthorBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.wsconsent.builders.impl.AuthorBuilderImpl

All Implemented Interfaces:
  AuthorBuilder

    public class AuthorBuilderImpl

extends Object
implements AuthorBuilder

Implementation for `AuthorBuilder`.

Constructor Summary
`AuthorBuilderImpl()`

Method Summary
`AuthorWithPatientAndPersonType` | `createAuthor()` Method which create AuthorWithPatientAndPersonType object.
`AuthorWithPatientAndPersonType` | `readFromEidCard()` Method which create AuthorWithPatientAndPersonType object for citizen based on the eid

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorBuilderImpl

    public AuthorBuilderImpl()

Method Detail

### createAuthor

    public AuthorWithPatientAndPersonType createAuthor()
                                                throws TechnicalConnectorException,
                                                       WsConsentBusinessConnectorException,
                                                       InstantiationException

  Description copied from interface: `AuthorBuilder`
  Method which create AuthorWithPatientAndPersonType object.

  Specified by:
    `createAuthor` in interface `AuthorBuilder`
  Returns:
    AuthorWithPatientAndPersonType object
  Throws:
    `TechnicalConnectorException`
    `WsConsentBusinessConnectorException`
    `InstantiationException`
  See Also:
    `AuthorBuilder.createAuthor()`

### readFromEidCard

    public AuthorWithPatientAndPersonType readFromEidCard()
                                                   throws TechnicalConnectorException

  Description copied from interface: `AuthorBuilder`
  Method which create AuthorWithPatientAndPersonType object for citizen based on the eid

  Specified by:
    `readFromEidCard` in interface `AuthorBuilder`
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.